<?php 
require_once('inc/config.php'); 
require_once('inc/global.php'); 
include("inc/function.php");  
ob_start( ); 
$htmlurl = $_GET['id'].$houzhui; 
$htmlmulu = "/".$erji."/".$news; 
$id=$_GET['id']; 
$url_key = $x_key; 
$url_key = str_replace( "\r","",$url_key); 
$url_key_i = split("\|",$url_key); 
foreach ($url_key_i as $url_key_s){$url_key_c = explode('|',$url_key_s); 
if($url_key_c[0]==$id)    {header('Location:'.$url.$erji.'404.htm'); 
break; 
}}
if ( $cache == "on" && $cachetimec != "0"){
define( "HTML_FILE", $_SERVER['DOCUMENT_ROOT'].$htmlmulu.$htmlurl ); 
if ( file_exists( HTML_FILE )){$lcft = filemtime( HTML_FILE ); 
 
}if ( time( ) < $lcft + ($cachetimec*3600) && !file_exists( HTML_FILE ) || !file_exists( $news ) ){mkdir( $news, 511 ); 
chmod( $news, 511 ); echo file_get_contents( HTML_FILE ); 
exit( 0 );
}
include_once ("rules/html.php");
include_once( "templets/".$template."/html.pl" );
if($title[1][0] == ""){echo '<div align=center>未采集到数据，请联系管理员</div>';
exit();
} 
define( "HTMLMETA", "" );
$buffer = ob_get_flush( );
$fp = fopen( HTML_FILE, "w+" );chmod( HTML_FILE, 511 );
if ( $fp ){fwrite( $fp, $buffer.HTMLMETA );
fclose( $fp );}
} else {
include_once ("rules/html.php");
require_once( "templets/".$template."/html.pl" );
}if($title[1][0] == ""){header('Location:'.$url.$erji.'404.htm'); 
exit(); 
}
?>